# ``twisted`.`internet`.`defer`.`waitForDeferred``

class documentation

`class waitForDeferred: (source)`

View In Hierarchy

See `deferredGenerator`.

Method | `__init__` | Undocumented
Method | `getResult` | Undocumented
Instance Variable | `d` | Undocumented

def __init__(self, d): (source)

Undocumented

Parameters
d:`Deferred[object]` | Undocumented

def getResult(self): (source)

Undocumented

Returns
`Any` | Undocumented

d = (source)

Undocumented